> ## Documentation Index
> Fetch the complete documentation index at: https://docs.odin.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get file count

> Returns overall count of exposed bucket files according to filters



## OpenAPI

````yaml post /v1/exposed/files/count
openapi: 3.0.1
info:
  title: Odin
  description: >-
    ODIN APIs to search across IP Services, CVEs, Exposed Files/Buckets, Domains
    and more
  contact: {}
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://api.odin.io/
security: []
paths:
  /v1/exposed/files/count:
    post:
      tags:
        - ExposedFiles
      summary: Get file count
      description: Returns overall count of exposed bucket files according to filters
      requestBody:
        description: Count Request
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/exposed.CountRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/exposed.APIResponse'
                  - type: object
                    properties:
                      data:
                        $ref: '#/components/schemas/exposed.SearchCount'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
      security:
        - ApiKeyAuth: []
components:
  schemas:
    exposed.CountRequest:
      type: object
      properties:
        query:
          type: string
    exposed.APIResponse:
      type: object
      properties:
        data:
          type: object
        pagination:
          type: object
        success:
          type: boolean
    exposed.SearchCount:
      type: object
      properties:
        count:
          type: integer
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: X-API-Key
      in: header

````